# Post comment on shared playlist **POST /shared/playlists/{token}/comments** Add a review comment as a guest. Requires `guest_id`, `task_id`, `task_status_id` and `text` when the link allows commenting. Optional `password` query param if the link is protected. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Jwt authorization ## Parameters ### Path parameters - **token** (string) Share link token ### Query parameters - **password** (string) Password when the link is protected ### Body: application/json (object) - **guest_id** (string(uuid)) - **task_id** (string(uuid)) - **task_status_id** (string(uuid)) - **text** (string) - **checklist** (array[object]) ## Responses ### 201 Comment created #### Body: application/json (object) object ### 400 Missing required body fields #### Body: application/json (object) - **error** (string) ### 403 Comments disabled for this share link #### Body: application/json (object) - **error** (string) [Powered by Bump.sh](https://bump.sh)